import React, { useState } from 'react';
import { StyleSheet, View, Text, TouchableOpacity, Modal } from 'react-native';
import Header from '../shared/header';
import Calendar from 'react-native-calendars/src/calendar';
import { Agenda, calendarTheme } from 'react-native-calendars';

export default function Calendario({ navigation }) {
    const [items, setItems] = useState({
      '2022-12-06': [{name: 'matricula'}],
      '2022-12-07': [{name: 'seguir metiendole mano al sprint 🥵'}],
      '2022-12-08': [],
    });
  
    function renderItem(item) {
      return (
        <View>
            <Text style={[styles.item, {height: item.height}]}>{item.name}</Text>
        </View>
      );
    }
  
    return (
      <Agenda
        items={items}
        renderItem={renderItem}
      />
    );
}

const styles = StyleSheet.create({
    container: {
        padding: 24
    },
    item: {
      backgroundColor: 'white',
      flex: 1,
      padding: 15,
      marginRight: 10,
      marginTop: 32
    }
});